## golang-github-sigstore-timestamp-authority 1.2.3

=== Makefile ===
#
# Copyright 2022 The Sigstore Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY: all test clean clean-gen lint gosec ko ko-local

all: timestamp-cli timestamp-server

GENSRC = pkg/generated/client/%.go pkg/generated/models/%.go pkg/generated/restapi/%.go
OPENAPIDEPS = openapi.yaml
SRCS = $(shell find cmd -iname "*.go") $(shell find pkg -iname "*.go"|grep -v pkg/generated) pkg/generated/restapi/configure_timestamp_server.go $(GENSRC)
TOOLS_DIR := hack/tools
TOOLS_BIN_DIR := $(abspath $(TOOLS_DIR)/bin)

# Set version variables for LDFLAGS
GIT_VERSION ?= $(shell git describe --tags --always --dirty)
GIT_HASH ?= $(shell git rev-parse HEAD)
DATE_FMT = +%Y-%m-%dT%H:%M:%SZ
SOURCE_DATE_EPOCH ?= $(shell git log -1 --pretty=%ct)
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
endif
GIT_TREESTATE = "clean"
DIFF = $(shell git diff --quiet >/dev/null 2>&1; if [ $$? -eq 1 ]; then echo "1"; fi)
ifeq ($(DIFF), 1)
    GIT_TREESTATE = "dirty"
endif

KO_PREFIX ?= ghcr.io/sigstore
export KO_DOCKER_REPO=$(KO_PREFIX)

# Binaries
SWAGGER := $(TOOLS_BIN_DIR)/swagger

LDFLAGS=-X sigs.k8s.io/release-utils/version.gitVersion=$(GIT_VERSION) \
				-X sigs.k8s.io/release-utils/version.gitCommit=$(GIT_HASH) \
				-X sigs.k8s.io/release-utils/version.gitTreeState=$(GIT_TREESTATE) \
				-X sigs.k8s.io/release-utils/version.buildDate=$(BUILD_DATE)

CLI_LDFLAGS=$(LDFLAGS)
SERVER_LDFLAGS=$(LDFLAGS)

$(GENSRC): $(SWAGGER) $(OPENAPIDEPS)
	$(SWAGGER) generate client -f openapi.yaml -q -r COPYRIGHT.txt -t pkg/generated
	$(SWAGGER) generate server -f openapi.yaml -q -r COPYRIGHT.txt -t pkg/generated --exclude-main -A timestamp_server --flag-strategy=pflag

.PHONY: validate-openapi
validate-openapi: $(SWAGGER) ## Validate OpenAPI spec
	$(SWAGGER) validate openapi.yaml

# this exists to override pattern match rule above since this file is in the generated directory but should not be treated as generated code
pkg/generated/restapi/configure_timestamp_server.go: $(OPENAPIDEPS)

lint: ## Go linting
	$(GOBIN)/golangci-lint run -v ./...

gosec: ## Run gosec
	$(GOBIN)/gosec ./...

gen: $(GENSRC) ## Generate code from OpenAPI spec

.PHONY : timestamp-cli
timestamp-cli: $(SRCS) ## Build the TSA CLI
	CGO_ENABLED=0 go build -trimpath -ldflags "$(CLI_LDFLAGS)" -o bin/timestamp-cli ./cmd/timestamp-cli

timestamp-server: $(SRCS) ## Build the TSA server
	CGO_ENABLED=0 go build -trimpath -ldflags "$(SERVER_LDFLAGS)" -o bin/timestamp-server ./cmd/timestamp-server

test: timestamp-cli ## Run tests
	go test ./...

clean: ## Clean all builds
	rm -rf dist
	rm -rf hack/tools/bin
	rm -rf bin/timestamp-cli bin/timestamp-server

clean-gen: clean ## Clean generated code
	rm -rf $(shell find pkg/generated -iname "*.go"|grep -v pkg/generated/restapi/configure_timestamp_server.go)

up: ## Run the TSA with Docker Compose
	docker-compose -f docker-compose.yml build --build-arg SERVER_LDFLAGS="$(SERVER_LDFLAGS)"
	docker-compose -f docker-compose.yml up

ko: ## Run Ko
	# timestamp-server
	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	KO_DOCKER_REPO=$(KO_PREFIX)/timestamp-server ko build --bare \
		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
		--image-refs timestampServerImagerefs github.com/sigstore/timestamp-authority/cmd/timestamp-server

	# timestamp-cli
	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	KO_DOCKER_REPO=$(KO_PREFIX)/timestamp-cli ko build --bare \
		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
		--image-refs timestampCLIImagerefs github.com/sigstore/timestamp-authority/cmd/timestamp-cli

.PHONY: ko-local
ko-local: ## Run Ko locally
	LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	ko publish --base-import-paths \
		--tags $(GIT_VERSION) --tags $(GIT_HASH) --local \
		github.com/sigstore/timestamp-authority/cmd/timestamp-server

	LDFLAGS="$(CLI_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	ko publish --base-import-paths \
		--tags $(GIT_VERSION) --tags $(GIT_HASH) --local \
		github.com/sigstore/timestamp-authority/cmd/timestamp-cli

## --------------------------------------
## Tooling Binaries
## --------------------------------------

$(SWAGGER): $(TOOLS_DIR)/go.mod
	cd $(TOOLS_DIR); go build -trimpath -tags=tools -o $(TOOLS_BIN_DIR)/swagger github.com/go-swagger/go-swagger/cmd/swagger

##################
# help
##################

help: ## Display help
	@awk -F ':|##' \
		'/^[^\t].+?:.*?##/ {\
			printf "\033[36m%-30s\033[0m %s\n", $$1, $$NF \
		}' $(MAKEFILE_LIST) | sort

include release/release.mk

=== debian/changelog ===
golang-github-sigstore-timestamp-authority (1.2.3-2) unstable; urgency=medium

  * salsa-ci.yml: Use B-D's from unstable.
  * Fix Vcs-* URLs.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 13 Nov 2024 09:06:35 +0100

golang-github-sigstore-timestamp-authority (1.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #1085855)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Oct 2024 22:53:39 +0000

=== debian/control ===
Source: golang-github-sigstore-timestamp-authority
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-beevik-ntp-dev,
 golang-github-digitorus-pkcs7-dev,
 golang-github-digitorus-timestamp-dev,
 golang-github-go-chi-chi-dev,
 golang-github-go-openapi-errors-dev,
 golang-github-go-openapi-loads-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-spec-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-google-go-cmp-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-mitchellh-mapstructure-dev,
 golang-github-pkg-errors-dev,
 golang-github-rs-cors-dev,
 golang-github-sigstore-sigstore-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
 golang-github-urfave-negroni-dev,
 golang-go.uber-zap-dev,
 golang-golang-x-net-dev,
 golang-google-cloud-dev,
 golang-google-protobuf-dev,
 golang-gopkg-yaml.v3-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-prometheus-client-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-timestamp-authority
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-timestamp-authority.git
Homepage: https://github.com/sigstore/timestamp-authority
XS-Go-Import-Path: github.com/sigstore/timestamp-authority

Package: golang-github-sigstore-timestamp-authority-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-beevik-ntp-dev,
 golang-github-digitorus-pkcs7-dev,
 golang-github-digitorus-timestamp-dev,
 golang-github-go-chi-chi-dev,
 golang-github-go-openapi-errors-dev,
 golang-github-go-openapi-loads-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-spec-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-google-go-cmp-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-mitchellh-mapstructure-dev,
 golang-github-pkg-errors-dev,
 golang-github-rs-cors-dev,
 golang-github-sigstore-sigstore-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
 golang-github-urfave-negroni-dev,
 golang-go.uber-zap-dev,
 golang-golang-x-net-dev,
 golang-google-cloud-dev,
 golang-google-protobuf-dev,
 golang-gopkg-yaml.v3-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-prometheus-client-dev,
 ${misc:Depends},
Description: Sigstore RFC3161 Timestamp Authority (Go library)
 Sigstore Timestamp Authority
 .
 A service for issuing RFC 3161 timestamps
 (https://datatracker.ietf.org/doc/html/rfc3161).
 .
 Timestamps conform to the RFC 3628 policy
 (https://datatracker.ietf.org/doc/html/rfc3628). The timestamp structure
 conforms to the updates in RFC 5816
 (https://datatracker.ietf.org/doc/rfc5816).
 .
 Trusted timestamping
 (https://en.wikipedia.org/wiki/Trusted_timestamping) is a process that
 has been around for some time. It provides a timestamp record of when a
 document was created or modified.
 .
 A timestamp authority creates signed timestamps using public key
 infrastructure. The operator of the timestamp authority must secure the
 signing key material to prevent unauthorized timestamp signing.
 .
 Timestamping within Sigstore
 .
 Timestamps are a critical component of Rekor
 (https://github.com/sigstore/rekor), Sigstore's signature transparency
 log. Timestamps are used to verify short-lived certificates. Currently,
 the timestamp comes from Rekor's own internal clock, which is not
 externally verifiable or immutable. Using signed timestamps issued from
 timestamp authorities mitigates the risk of Rekor's clock being
 manipulated.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/sigstore/timestamp-authority/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-sigstore-timestamp-authority 1.2.9

=== Makefile ===


=== debian/changelog ===
golang-github-sigstore-timestamp-authority (1.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Fix lrc rule in salsa-ci.
  * Standards-Version: 4.7.2.
  * Bump copyright years.
  * Salsa lintian ignore unactionable complaints.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 01 Oct 2025 13:34:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -37,7 +36,7 @@
  golang-k8s-sigs-release-utils-dev,
  golang-prometheus-client-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-timestamp-authority
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-timestamp-authority.git
 Homepage: https://github.com/sigstore/timestamp-authority

=== debian/rules ===
#!/usr/bin/make -f

# Disable everything that depends on pkg/signer which needs unpackaged
# dependencies, e.g. tink.
export DH_GOLANG_EXCLUDES :=									\
	github.com/sigstore/timestamp-authority/cmd/fetch-tsa-certs				\
	github.com/sigstore/timestamp-authority/cmd/timestamp-cli				\
	github.com/sigstore/timestamp-authority/cmd/timestamp-cli/app				\
	github.com/sigstore/timestamp-authority/cmd/timestamp-cli/app/format			\
	github.com/sigstore/timestamp-authority/cmd/timestamp-server				\
	github.com/sigstore/timestamp-authority/cmd/timestamp-server/app			\
	github.com/sigstore/timestamp-authority/pkg/api						\
	github.com/sigstore/timestamp-authority/pkg/client					\
	github.com/sigstore/timestamp-authority/pkg/client/mock					\
	github.com/sigstore/timestamp-authority/pkg/generated/client				\
	github.com/sigstore/timestamp-authority/pkg/generated/client/timestamp			\
	github.com/sigstore/timestamp-authority/pkg/generated/models				\
	github.com/sigstore/timestamp-authority/pkg/generated/restapi				\
	github.com/sigstore/timestamp-authority/pkg/generated/restapi/operations		\
	github.com/sigstore/timestamp-authority/pkg/generated/restapi/operations/timestamp	\
	github.com/sigstore/timestamp-authority/pkg/internal/cmdparams				\
	github.com/sigstore/timestamp-authority/pkg/log						\
	github.com/sigstore/timestamp-authority/pkg/ntpmonitor					\
	github.com/sigstore/timestamp-authority/pkg/server					\
	github.com/sigstore/timestamp-authority/pkg/signer					\
	github.com/sigstore/timestamp-authority/pkg/tests					\

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	rm -fv _build/src/github.com/sigstore/timestamp-authority/pkg/x509/x509_test.go
	rm -fv _build/src/github.com/sigstore/timestamp-authority/pkg/verification/verify_test.go
	dh_auto_test $(DH_BUILD_OPTS)

=== debian/watch ===
Version: 5
Template: Github
Owner: sigstore
Project: timestamp-authority
Uversionmangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/

## golang-github-sigstore-timestamp-authority 2.0.3

=== debian/changelog ===
golang-github-sigstore-timestamp-authority (2.0.3-2) unstable; urgency=medium

  * Reduce DH_GOLANG_EXCLUDES, working around issues that arise

 -- Simon Josefsson <simon@josefsson.org>  Sat, 13 Dec 2025 10:43:31 +0100

golang-github-sigstore-timestamp-authority (2.0.3-1) unstable; urgency=medium

  * Drop d/.gitignore
  * New upstream version 2.0.3
    - Fix JSON OID parsing CVE-2025-66564 (Closes: #1122060)
  * Work around goodkey issue

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Dec 2025 09:17:35 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := pkg/ntpmonitor/ntpsync.yaml

# fetch-tsa-certs needs unpackaged KMS stuff
export DH_GOLANG_EXCLUDES := \
	github.com/sigstore/timestamp-authority/cmd/fetch-tsa-certs

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

override_dh_auto_test:
	-dh_auto_test $(DH_BUILD_OPTS)

## golang-github-sigstore-timestamp-authority 2.0.4

=== Makefile ===
--- 
+++ 
@@ -91,33 +91,33 @@
 	rm -rf $(shell find pkg/generated -iname "*.go"|grep -v pkg/generated/restapi/configure_timestamp_server.go)
 
 up: ## Run the TSA with Docker Compose
-	docker-compose -f docker-compose.yml build --build-arg SERVER_LDFLAGS="$(SERVER_LDFLAGS)"
-	docker-compose -f docker-compose.yml up
+	docker compose -f docker-compose.yml build --build-arg SERVER_LDFLAGS="$(SERVER_LDFLAGS)"
+	docker compose -f docker-compose.yml up
 
 ko: ## Run Ko
 	# timestamp-server
 	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	KO_DOCKER_REPO=$(KO_PREFIX)/timestamp-server ko build --bare \
 		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
-		--image-refs timestampServerImagerefs github.com/sigstore/timestamp-authority/cmd/timestamp-server
+		--image-refs timestampServerImagerefs github.com/sigstore/timestamp-authority/v2/cmd/timestamp-server
 
 	# timestamp-cli
 	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	KO_DOCKER_REPO=$(KO_PREFIX)/timestamp-cli ko build --bare \
 		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
-		--image-refs timestampCLIImagerefs github.com/sigstore/timestamp-authority/cmd/timestamp-cli
+		--image-refs timestampCLIImagerefs github.com/sigstore/timestamp-authority/v2/cmd/timestamp-cli
 
 .PHONY: ko-local
 ko-local: ## Run Ko locally
 	LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	ko publish --base-import-paths \
 		--tags $(GIT_VERSION) --tags $(GIT_HASH) --local \
-		github.com/sigstore/timestamp-authority/cmd/timestamp-server
+		github.com/sigstore/timestamp-authority/v2/cmd/timestamp-server
 
 	LDFLAGS="$(CLI_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	ko publish --base-import-paths \
 		--tags $(GIT_VERSION) --tags $(GIT_HASH) --local \
-		github.com/sigstore/timestamp-authority/cmd/timestamp-cli
+		github.com/sigstore/timestamp-authority/v2/cmd/timestamp-cli
 
 ## --------------------------------------
 ## Tooling Binaries

=== debian/changelog ===
golang-github-sigstore-timestamp-authority (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4

 -- Simon Josefsson <simon@josefsson.org>  Sat, 20 Dec 2025 00:58:53 +0100

=== debian/control ===
--- 
+++ 
@@ -22,19 +22,24 @@
  golang-github-mitchellh-go-homedir-dev,
  golang-github-mitchellh-mapstructure-dev,
  golang-github-pkg-errors-dev,
+ golang-github-prometheus-client-golang-dev,
  golang-github-rs-cors-dev,
  golang-github-sigstore-sigstore-dev,
+ golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
  golang-github-spf13-viper-dev,
+ golang-github-tink-crypto-tink-go-awskms-dev,
+ golang-github-tink-crypto-tink-go-dev,
+ golang-github-tink-crypto-tink-go-gcpkms-dev,
  golang-github-urfave-negroni-dev,
  golang-go.uber-zap-dev,
  golang-golang-x-net-dev,
  golang-google-cloud-dev,
  golang-google-protobuf-dev,
- golang-gopkg-yaml.v3-dev,
  golang-k8s-sigs-release-utils-dev,
- golang-prometheus-client-dev,
+ golang-k8s-sigs-yaml-dev,
+ golang-uber-goleak-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-timestamp-authority
@@ -60,19 +65,24 @@
  golang-github-mitchellh-go-homedir-dev,
  golang-github-mitchellh-mapstructure-dev,
  golang-github-pkg-errors-dev,
+ golang-github-prometheus-client-golang-dev,
  golang-github-rs-cors-dev,
  golang-github-sigstore-sigstore-dev,
+ golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
  golang-github-spf13-viper-dev,
+ golang-github-tink-crypto-tink-go-awskms-dev,
+ golang-github-tink-crypto-tink-go-dev,
+ golang-github-tink-crypto-tink-go-gcpkms-dev,
  golang-github-urfave-negroni-dev,
  golang-go.uber-zap-dev,
  golang-golang-x-net-dev,
  golang-google-cloud-dev,
  golang-google-protobuf-dev,
- golang-gopkg-yaml.v3-dev,
  golang-k8s-sigs-release-utils-dev,
- golang-prometheus-client-dev,
+ golang-k8s-sigs-yaml-dev,
+ golang-uber-goleak-dev,
  ${misc:Depends},
 Description: Sigstore RFC3161 Timestamp Authority (Go library)
  Sigstore Timestamp Authority
